<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 6.0.1 (Python 3.9.6 on win32)" generated="20221231 14:32:17.996" rpa="false" schemaversion="3">
<suite id="s1" name="Create Table" source="C:\GitLab\CICD_One_pipeline\Final\cicd_one_pipeline\dharani\create_table.robot">
<kw name="Connect To Database Using Custom Params" library="DatabaseLibrary" type="SETUP">
<arg>cx_Oracle</arg>
<arg>'INFA_REP','tiger','XE'</arg>
<doc>Loads the DB API 2.0 module given `dbapiModuleName` then uses it to
connect to the database using the map string `db_custom_param_string`.</doc>
<msg timestamp="20221231 14:32:18.262" level="INFO">Executing : Connect To Database Using Custom Params : cx_Oracle.connect(db_api_2.connect('INFA_REP','tiger','XE')) </msg>
<status status="PASS" starttime="20221231 14:32:18.262" endtime="20221231 14:32:18.356"/>
</kw>
<test id="s1-t1" name="Create Table on DB" line="15">
<kw name="Query" library="DatabaseLibrary">
<var>${results}</var>
<arg>select * from etl2</arg>
<doc>Uses the input `selectStatement` to query for the values that will be returned as a list of tuples. Set optional
input `sansTran` to True to run command without an explicit transaction commit or rollback.
Set optional input `returnAsDict` to True to return values as a list of dictionaries.</doc>
<msg timestamp="20221231 14:32:18.356" level="INFO">Executing : Query  |  select * from etl2 </msg>
<msg timestamp="20221231 14:32:18.371" level="INFO">${results} = [(1001, 'Gopi', 2000, datetime.datetime(2018, 1, 31, 0, 0)), (1002, 'Anand', 2000, datetime.datetime(2018, 1, 31, 0, 0))]</msg>
<status status="PASS" starttime="20221231 14:32:18.356" endtime="20221231 14:32:18.371"/>
</kw>
<kw name="Set Test Variable" library="BuiltIn">
<arg>${results}</arg>
<doc>Makes a variable available everywhere within the scope of the current test.</doc>
<msg timestamp="20221231 14:32:18.371" level="INFO">${results} = [(1001, 'Gopi', 2000, datetime.datetime(2018, 1, 31, 0, 0)), (1002, 'Anand', 2000, datetime.datetime(2018, 1, 31, 0, 0))]</msg>
<status status="PASS" starttime="20221231 14:32:18.371" endtime="20221231 14:32:18.371"/>
</kw>
<kw name="Log" library="BuiltIn">
<arg>$(results)</arg>
<doc>Logs the given message with the given level.</doc>
<msg timestamp="20221231 14:32:18.371" level="INFO">$(results)</msg>
<status status="PASS" starttime="20221231 14:32:18.371" endtime="20221231 14:32:18.371"/>
</kw>
<kw name="Create File" library="OperatingSystem">
<arg>test.csv</arg>
<arg>(${results})</arg>
<doc>Creates a file with the given content and encoding.</doc>
<msg timestamp="20221231 14:32:18.371" level="INFO" html="true">Created file '&lt;a href="file://C:\GitLab\CICD_One_pipeline\Final\cicd_one_pipeline\dharani\test.csv"&gt;C:\GitLab\CICD_One_pipeline\Final\cicd_one_pipeline\dharani\test.csv&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20221231 14:32:18.371" endtime="20221231 14:32:18.371"/>
</kw>
<tag>Table_create</tag>
<status status="PASS" starttime="20221231 14:32:18.356" endtime="20221231 14:32:18.371"/>
</test>
<status status="PASS" starttime="20221231 14:32:17.996" endtime="20221231 14:32:18.371"/>
</suite>
<statistics>
<total>
<stat pass="1" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">Table_create</stat>
</tag>
<suite>
<stat pass="1" fail="0" skip="0" id="s1" name="Create Table">Create Table</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
